package com.zksy.audio.domain;

import io.netty.channel.Channel;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class ChannelInfo extends ChannelInfoBase {

    public ChannelInfo() {
    }

    public ChannelInfo(String deviceNo){
        this.setDeviceNo(deviceNo);
    }

    public ChannelInfo(String meterFactory, Channel channel) {
        this.setMeterFactory(meterFactory);
        this.setChannel(channel);
    }

}
